Debian Bug report logs - #293938
[amd64] please provide additional 64bit support for amd64 kernels.

version graph

Package: iptables; Maintainer for iptables is Laurence J. Lane <ljlane@debian.org>; Source for iptables is src:iptables.

Reported by: Kurt Huwig <k.huwig@iku-ag.de>

Date: Wed, 5 Jan 2005 18:03:01 UTC

Severity: wishlist

Tags: patch

Merged with 282474, 287403, 288787, 297822, 298155, 317878, 359216

Found in versions 1.2.11, 1.2.11-10, 1.2.11-8

Done: Faidon Liambotis <paravoid@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#288787; Package kernel-image-2.6.8-9-amd64-k8. Full text and rfc822 format available.

Acknowledgement sent to Kurt Huwig <k.huwig@iku-ag.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Huwig <k.huwig@iku-ag.de>
To: submit@bugs.debian.org
Subject: IPTables does not work with kernel 2.6.8
Date: Wed, 05 Jan 2005 18:52:26 +0100
Package: kernel-image-2.6.8-9-amd64-k8
Version: 2.6.8-8

Fresh installation of Sarge with all updates from today:

leeloo:~# iptables -L
iptables v1.2.11: can't initialize iptables table `filter': Module is 
wrong version
Perhaps iptables or your kernel needs to be upgraded.

leeloo:~# lsmod | grep ip
ip6_tables             19712  0
ip_conntrack           37020  0
iptable_filter          3392  0
ip_tables              18432  1 iptable_filter
ipv6                  264232  14

leeloo:~# cat /proc/version
Linux version 2.6.8-9-amd64-k8 (root@lobito) (gcc version 3.4.2 (Debian 
3.4.2-2)) #1 Wed Dec 8 13:26:29 UTC 2004

||/ Name                              Version 
Description
+++-=================================-=================================-==================================================================================
ii  iptables                          1.2.11-8 
Linux kernel 2.4+ iptables administration tools

leeloo:~# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:11:2F:E1:77:9C
          inet addr:192.168.0.11  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::211:2fff:fee1:779c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:6971 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2495 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1491126 (1.4 MiB)  TX bytes:316599 (309.1 KiB)
          Interrupt:177 Memory:f7c00000-0

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:132 errors:0 dropped:0 overruns:0 frame:0
          TX packets:132 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:10052 (9.8 KiB)  TX bytes:10052 (9.8 KiB)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#288787; Package kernel-image-2.6.8-9-amd64-k8. Full text and rfc822 format available.

Acknowledgement sent to Christoph Hellwig <hch@lst.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Hellwig <hch@lst.de>
To: Kurt Huwig <k.huwig@iku-ag.de>, 288787@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#288787: IPTables does not work with kernel 2.6.8
Date: Wed, 5 Jan 2005 20:27:19 +0100
On Wed, Jan 05, 2005 at 06:52:26PM +0100, Kurt Huwig wrote:
> Package: kernel-image-2.6.8-9-amd64-k8
> Version: 2.6.8-8
> 
> Fresh installation of Sarge with all updates from today:

iptables doesn't work when you're running 32bit userland on 64bit
kernel, and it's not fixable either.  Run an i386 kernel and everything
will be fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#288787; Package kernel-image-2.6.8-9-amd64-k8. Full text and rfc822 format available.

Acknowledgement sent to Christoph Hellwig <hch@lst.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#288787; Package kernel-image-2.6.8-9-amd64-k8. Full text and rfc822 format available.

Acknowledgement sent to Frederik Schueler <fs@lowpingbastards.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 288787@bugs.debian.org (full text, mbox):

From: Frederik Schueler <fs@lowpingbastards.de>
To: 288787@bugs.debian.org
Cc: Kurt Huwig <k.huwig@iku-ag.de>, Christoph Hellwig <hch@lst.de>
Subject: Re: Bug#288787: IPTables does not work with kernel 2.6.8
Date: Wed, 5 Jan 2005 23:46:45 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Wed, Jan 05, 2005 at 08:27:19PM +0100, Christoph Hellwig wrote:
> On Wed, Jan 05, 2005 at 06:52:26PM +0100, Kurt Huwig wrote:
> > Package: kernel-image-2.6.8-9-amd64-k8
> > Version: 2.6.8-8
> > 
> > Fresh installation of Sarge with all updates from today:
> 
> iptables doesn't work when you're running 32bit userland on 64bit
> kernel, and it's not fixable either.  Run an i386 kernel and everything
> will be fine.

Or use a 64bit iptables package, wich does not offcially exist in 
Debian yet. 

This is indeed an odd problem, and I dont think there will be a 32bit 
interface for iptables in the near future like it exists for alsa
for example. 

Maybe this bug should be reassigned as a wishlist against iptables 
requesting a 64bit package for i386, or closed at all since this is 
not a kernel bug, but the effect of missing support on the userland 
side.

Any suggestions?

Kind regards
Frederik Schueler

-- 
ENOSIG
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#288787; Package kernel-image-2.6.8-9-amd64-k8. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 288787@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Frederik Schueler <fs@lowpingbastards.de>, 288787@bugs.debian.org
Cc: Kurt Huwig <k.huwig@iku-ag.de>, Christoph Hellwig <hch@lst.de>, iptables-maint@debian.org
Subject: Re: Bug#288787: IPTables does not work with kernel 2.6.8
Date: Fri, 7 Jan 2005 12:18:42 +0900
On Wed, Jan 05, 2005 at 11:46:45PM +0100, Frederik Schueler wrote:
> Hello,
> 
> On Wed, Jan 05, 2005 at 08:27:19PM +0100, Christoph Hellwig wrote:
> > On Wed, Jan 05, 2005 at 06:52:26PM +0100, Kurt Huwig wrote:
> > > Package: kernel-image-2.6.8-9-amd64-k8
> > > Version: 2.6.8-8
> > > 
> > > Fresh installation of Sarge with all updates from today:
> > 
> > iptables doesn't work when you're running 32bit userland on 64bit
> > kernel, and it's not fixable either.  Run an i386 kernel and everything
> > will be fine.
> 
> Or use a 64bit iptables package, wich does not offcially exist in 
> Debian yet. 
> 
> This is indeed an odd problem, and I dont think there will be a 32bit 
> interface for iptables in the near future like it exists for alsa
> for example. 
> 
> Maybe this bug should be reassigned as a wishlist against iptables 
> requesting a 64bit package for i386, or closed at all since this is 
> not a kernel bug, but the effect of missing support on the userland 
> side.
> 
> Any suggestions?

I like the wishlist + iptables option.
The maintainer of that package can decide what to do.



-- 
Horms



Bug 288787 cloned as bug 293938. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.6.8-9-amd64-k8' to `iptables'. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 293938. Request was from "Laurence J. Lane" <ljlane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 293938. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 288787 293938. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 288787 293938 297822. Request was from "Laurence J. Lane" <ljlane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 288787 293938 297822 298155. Request was from "Laurence J. Lane" <ljlane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Laurence J. Lane" <ljlane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 288787 293938 297822 298155 317878. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 282474 287403 288787 293938 297822 298155 317878 359216. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Faidon Liambotis <paravoid@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Huwig <k.huwig@iku-ag.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #56 received at 293938-done@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: 282474-done@bugs.debian.org
Cc: Kurt Huwig <k.huwig@iku-ag.de>, Oliver Siegmar <oliver@siegmar.net>, petr.kristan@epos.cz, Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>, Mario Fernandez <mfa@abysal.com>, "J.L. Fernandez Jambrina" <j.fdez.jambrina@gr.ssr.upm.es>
Subject: 32-bit iptables on 64-bit kernels
Date: Wed, 09 Aug 2006 01:15:02 +0300
This bug is fixed on the kernel side, on 2.6.17+.
Please see commit 2722971cbe831117686039d5c334f2c0f560be13 [1].

It is unlikely that this bug will be ever fixed on iptables' side and
even more unlikely that such a patch will be included in Debian,
especially considering that etch is going to release with 2.6.17 or
later. I'm not the maintainer though, so that's just a speculation.

Regards,
Faidon

1:
http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=2722971cbe831117686039d5c334f2c0f560be13



Reply sent to Faidon Liambotis <paravoid@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oliver Siegmar <oliver@siegmar.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 10:44:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:19:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.